/**
 * 考核列表
 */
layui.use(['form', 'table', 'laydate'], function () {
    var form = layui.form;
    var table = layui.table;
    var laydate = layui.laydate;


    table.render({
        elem: '#deptManagerList'
        , url: '/jx/getDeptManagerList' //异步接口
        , even: true // 开启隔行背景
        , size: 'sm' // 小尺寸
        , cols: [[{type: 'numbers'},{type: 'checkbox', align: 'center'}
            , {field: 'deptmanager_deptid', align: 'center', title: "微信ID"}
            , {field: 'deptmanager_name', align: 'center', title: "微信员工"}
            , {field: 'deptmanager_mobile', align: 'center', title: "微信手机"}
            , {field: 'deptmanager_pname', align: 'center', title: "绑定员工信息"}
            , {field: 'deptmanager_createtime', align: 'center', title: "创建时间"}
            , {field: 'deptmanager_updatetime', align: 'center', title: "更新时间"}
            ]
        ]
        , id: 'deptManagerListTb'
        , page: true
    });


    var $ = layui.$, active = {
        reload: function () {
            var name = $('#name');
                //执行重载
                table.reload('deptManagerListTb', {
                    page: {
                        curr: 1 //重新从第 1 页开始
                    }
                    , limit: 10
                    , where: {
                        name: name.val()
                    }
                });



        }
    };

    $('#searchForm .layui-btn').on('click', function () {
        var type = $(this).data('type');
        active[type] ? active[type].call(this) : '';
    });


});





